// Copyright (c) 2022 Marceline Cramer
// SPDX-License-Identifier: AGPL-3.0-or-later

use serde::{Deserialize, Serialize};

pub use serde;
pub use serde_json;

#[derive(Clone, Debug, Serialize, Deserialize)]
pub struct Contents {
    /// The optional name of the application sending the notification.
    pub app_name: Option<String>,

    /// The summary text briefly describing the notification.
    pub summary: String,

    /// The optional detailed body text.
    pub body: Option<String>,

    /// The timeout time in milliseconds since the display of the notification
    /// at which the notification should automatically close.
    pub timeout: Option<i32>,
}

#[derive(Clone, Debug, Serialize, Deserialize)]
#[serde(tag = "kind")]
pub enum OutMsg {}
